Skip to main content
PATCH
/
orgs
/
{org_id}
/
assistants
/
{assistant_id}
Update Assistant
curl --request PATCH \
  --url https://api.useinvent.com/orgs/{org_id}/assistants/{assistant_id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "enabled": true,
  "avatar_id": "<string>",
  "config": {
    "language": "auto",
    "model": "<string>",
    "stt": {
      "model": "<string>"
    },
    "tts": {
      "model": "<string>",
      "voice_id": "<string>"
    },
    "conversation": {
      "thread_mode": "new",
      "enable_memories": true,
      "enable_transfer_to_human_tool": true,
      "welcome_banner": "<string>",
      "suggested_messages": [
        "<string>"
      ],
      "auto_intro_message": "<string>",
      "enable_end_conversation_tool": true,
      "enable_block_contact_tool": true,
      "enable_auto_resolve": true,
      "enable_auto_follow_ups": true,
      "enable_auto_csat": true,
      "enable_private_chats": true
    },
    "knowledge_scope": "all",
    "timezone": "<string>",
    "instructions": "<string>"
  }
}
'
{
  "id": "<string>",
  "name": "<string>",
  "enabled": true,
  "deleted": true,
  "secret_key": "<string>",
  "avatar_url": "<string>",
  "config": {
    "language": "auto",
    "model": "<string>",
    "stt": {
      "model": "<string>"
    },
    "tts": {
      "model": "<string>",
      "voice_id": "<string>"
    },
    "conversation": {
      "thread_mode": "new",
      "enable_memories": true,
      "enable_transfer_to_human_tool": true,
      "welcome_banner": "<string>",
      "suggested_messages": [
        "<string>"
      ],
      "auto_intro_message": "<string>",
      "enable_end_conversation_tool": true,
      "enable_block_contact_tool": true,
      "enable_auto_resolve": true,
      "enable_auto_follow_ups": true,
      "enable_auto_csat": true,
      "enable_private_chats": true
    },
    "knowledge_scope": "all",
    "timezone": "<string>",
    "instructions": "<string>"
  },
  "integrations": [
    {
      "id": "<string>",
      "enabled": true,
      "integration_id": "internal",
      "assistant_id": "<string>",
      "connection_id": "<string>",
      "config": {},
      "error": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "actions": [
    {
      "id": "<string>",
      "enabled": true,
      "name": "<string>",
      "instructions": "<string>",
      "action_id": "<string>",
      "assistant_id": "<string>",
      "connection_id": "<string>",
      "config": {
        "input": {},
        "definitions": [
          {
            "path": "<string>",
            "definition": {}
          }
        ]
      },
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Path Parameters

org_id
string
required

The ID of the org

assistant_id
string
required

The ID of the assistant

Body

The assistant information to update.

Schema for updating an existing assistant

name
string

The name of the assistant

Required string length: 1 - 1024
enabled
boolean

Whether the assistant is enabled

avatar_id
string | null

The ID of the avatar file id

config
object

Schema for the configuration of an assistant

Response

200 - application/json

The updated assistant.

Schema for an assistant

id
string
required
name
string
required

The name of the assistant

enabled
boolean
required

Whether the assistant is enabled

deleted
boolean
required

Whether the assistant has been soft-deleted

secret_key
string | null
required

The secret key to create session hashes

avatar_url
string | null
required

The URL of the avatar photo

config
object
required

Schema for the configuration of an assistant

integrations
object[]
required
actions
object[]
required
created_at
string<date-time> | null
required
updated_at
string<date-time> | null
required